"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.usage = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const arg_1 = __importDefault(require("arg"));
const utils_1 = require("./utils");
const index_1 = require("./index");
exports.usage = 'nuxt storybook [`dev`|`build`] [`dir`]';
function _run() {
    const args = arg_1.default({});
    let [mode, _dir] = args._;
    if (!_dir && fs_1.default.existsSync(mode)) {
        _dir = mode || '.';
        mode = 'dev';
    }
    else {
        _dir = _dir || '.';
        mode = mode || 'dev';
    }
    // Resolve dir
    const rootDir = path_1.default.resolve(process.cwd(), _dir);
    switch (mode) {
        case 'build':
            return index_1.build({
                rootDir,
                mode
            });
        case 'dev':
            return index_1.start({
                rootDir,
                mode
            });
        default:
            utils_1.logger.error(`Command "${mode}" not found`);
    }
}
function run() {
    try {
        _run();
    }
    catch (err) {
        utils_1.logger.fatal(err);
        process.exit(1);
    }
}
exports.run = run;
if (!module.parent) {
    run();
}
